#!/bin/sh
echo 'name: cryptohash
version: 0.9.0
id: cryptohash-0.9.0-99a9cb2ad81958bd9269cbc7d3bede89

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability:
homepage: http://github.com/vincenthz/hs-cryptohash
package-url:
synopsis: collection of crypto hashes, fast, pure and practical
description: A collection of crypto hashes, with a practical incremental and one-pass, pure APIs,
             with performance close to the fastest implementations available in others languages.
             .
             The implementations are made in C with a haskell FFI wrapper that hide the C implementation.
             .
             Simple examples using the unified API:
             .
             > import Crypto.Hash
             >
             > sha1 :: ByteString -> Digest SHA1
             > sha1 = hash
             >
             > hexSha3_512 :: ByteString -> String
             > hexSha3_512 bs = show (hash bs :: Digest SHA3_512)
             .
             Simple examples using the module API:
             .
             > import qualified Crypto.Hash.SHA1 as SHA1
             >
             > main = putStrLn $ show $ SHA1.hash (Data.ByteString.pack [1..256])
             .
             > import qualified Crypto.Hash.SHA3 as SHA3
             >
             > main = putStrLn $ show $ digest
             >   where digest = SHA3.finalize ctx
             >         ctx    = foldl'\'' SHA3.update iCtx (map Data.ByteString.pack [ [1,2,3], [4,5,6] ]
             >         iCtx   = SHA3.init 224
category: Data, Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Crypto.Hash Crypto.Hash.Types Crypto.Hash.SHA1
                 Crypto.Hash.SHA224 Crypto.Hash.SHA256 Crypto.Hash.SHA384
                 Crypto.Hash.SHA512 Crypto.Hash.SHA512t Crypto.Hash.SHA3
                 Crypto.Hash.MD2 Crypto.Hash.MD4 Crypto.Hash.MD5
                 Crypto.Hash.RIPEMD160 Crypto.Hash.Skein256 Crypto.Hash.Skein512
                 Crypto.Hash.Tiger Crypto.Hash.Whirlpool Crypto.MAC.HMAC
hidden-modules: Crypto.Hash.Utils Crypto.Hash.Utils.Cpu
                Crypto.Hash.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/cryptohash-0.9.0
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/cryptohash-0.9.0
              /usr/local/lib
hs-libraries: HScryptohash-0.9.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.6.0.1-f7bdc8987bd5928e0ee6e8cc8b246a88
         bytestring-0.10.0.2-59abd9894532f476aabac207680aae43
         cereal-0.3.5.2-a9ff0516a3b8fef3d6dca329fe564618
         crypto-api-0.12.1-4342814775a0b030b3819a189bd26ee1
         ghc-prim-0.3.0.0-d5221a8c8a269b66ab9a07bdc23317dd
         tagged-0.6-ceec0c47465ccecc078b0c051fef0f5a
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/cryptohash-0.9.0/html/cryptohash.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/cryptohash-0.9.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
